Bug 1506641 - [RFE] Add support for configuring 'in-overcloud' resources for octavia through workflows and ansible
Summary: [RFE] Add support for configuring 'in-overcloud' resources for octavia throug...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 12.0 (Pike)
Assignee: Or Idgar
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On:
Blocks: 1433537 1506643 1506644 1506647
TreeView+ depends on / blocked
 
Reported: 2017-10-26 13:34 UTC by Brent Eagles
Modified: 2019-09-10 14:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1506643 1506644 (view as bug list)
Environment:
Last Closed: 2017-12-06 14:09:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 487450 None None None 2017-10-30 14:43:30 UTC
OpenStack gerrit 515402 None None None 2017-10-31 12:21:57 UTC

Description Brent Eagles 2017-10-26 13:34:28 UTC
Complete configuration of Octavia requires the creation of resources in the overcloud. This requires host configuration steps and openstack cloud operations on the overcloud glance, neutron and nova services. Running ansible from a mistral workflow seems to be a workable solution as it has the required integration with heat and allows host level commands to be run in a deterministic intuitive manner.

Comment 1 Ihar Hrachyshka 2017-11-07 19:06:41 UTC
Is this bug still on track for beta/ga?

Comment 2 Or Idgar 2017-11-08 07:14:10 UTC
Yes, RFE should be used for Octavia Tech Preview in OSP 12 hopefully

Comment 4 Nir Magnezi 2017-12-06 14:09:06 UTC
Pushed to OSP13, covered by bug 1506644


Note You need to log in before you can comment on or make changes to this bug.